Bugs Management System

by
Odoo
v 12.0 Third Party 276
Download for v 12.0 Deploy on Odoo.sh
Required Apps Project (project)
Lines of code 1277
Technical Name Bug Management System
LicenseSee License tab
Websitehttp://www.whizit.co.in
Also available in version v 13.0
You bought this module and need support? Click here!
Required Apps Project (project)
Lines of code 1277
Technical Name Bug Management System
LicenseSee License tab
Websitehttp://www.whizit.co.in
Also available in version v 13.0

Bugs Management System

The Main Idea:

This Module 'Bugs Management System' helps to manage bugs in project module.
This module offers the ability to keep track of the bug.
With the help of this module you can see number of bugs assigned to the employee.

Key Features:

  • Issues
  • Stages
  • Bugs assigned to employee in kanban and tree view

How it Works

When you go to the project module select Bugs item from the top menu and click on 'Create' in order to create the bug.


Below are the detailed fields which are to be filled and later clicking 'Save' button on top-left corner then the below screen will be displayed . You can 'Edit' the bug by clicking on 'Edit' button.


When you click on 'Attachment' button a drop down with 'Add..' menu appears then click on it and attach any file formatted file from your local system,a file will be added.


When you click on 'Action' button and click on 'Delete' button then that particular bug will be deleted and suppose if you click on 'Duplicate' button then that particular bugs copy will be created considering the same name.

When you click on "Send message" option you can type the message to admin with respect to emoji and adding document to that particular message.

When you click on "Add Comments" option you can type the message which will be viewed/visible publicly with respect to emoji and adding document to that particular message.

Below at the bottom of screen you can see whatever issues driscussed yesterday . in such way you can keep track of your day to day bug.

Bug Management

Installation

Install this module in a usual way

Configuration

Activate Developer Mode

Usage

  • Go to Project >> All Bugs >> Create

Uninstallation

Uninstall this module in a usual way <https://www.youtube.com/watch?v=DUfnQ2UU2rI>`__

MIT License
Copyright (c) 2019 Vivek
Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:
The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
There are no ratings yet!
Error to create new bug task
by
Elio
on 12/3/20, 9:26 PM

Erro:

Odoo Server Error


Traceback (most recent call last):

  File "/home/odoo/src/odoo/odoo/tools/cache.py", line 88, in lookup

    r = d[key]

  File "/home/odoo/src/odoo/odoo/tools/func.py", line 69, in wrapper

    return func(self, *args, **kwargs)

  File "/home/odoo/src/odoo/odoo/tools/lru.py", line 44, in __getitem__

    a = self.d[obj].me

KeyError: ('ir.model.data', <function IrModelData.xmlid_lookup at 0x7f47aa151f28>, 'project.mt_bug_new')


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "/home/odoo/src/odoo/odoo/http.py", line 656, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/home/odoo/src/odoo/odoo/http.py", line 314, in _handle_exception

    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])

  File "/home/odoo/src/odoo/odoo/tools/pycompat.py", line 87, in reraise

    raise value

  File "/home/odoo/src/odoo/odoo/http.py", line 698, in dispatch

    result = self._call_function(**self.params)

  File "/home/odoo/src/odoo/odoo/http.py", line 346, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/home/odoo/src/odoo/odoo/service/model.py", line 98, in wrapper

    return f(dbname, *args, **kwargs)

  File "/home/odoo/src/odoo/odoo/http.py", line 339, in checked_call

    result = self.endpoint(*a, **kw)

  File "/home/odoo/src/odoo/odoo/http.py", line 941, in __call__

    return self.method(*args, **kw)

  File "/home/odoo/src/odoo/odoo/http.py", line 519, in response_wrap

    response = f(*args, **kw)

  File "/home/odoo/src/odoo/addons/web/controllers/main.py", line 963, in call_kw

    return self._call_kw(model, method, args, kwargs)

  File "/home/odoo/src/odoo/addons/web/controllers/main.py", line 955, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/home/odoo/src/odoo/odoo/api.py", line 757, in call_kw

    return _call_kw_model_create(method, model, args, kwargs)

  File "/home/odoo/src/odoo/odoo/api.py", line 737, in _call_kw_model_create

    result = method(recs, *args, **kwargs)

  File "<decorator-gen-402>", line 2, in create

  File "/home/odoo/src/odoo/odoo/api.py", line 440, in _model_create_single

    return create(self, arg)

  File "/home/odoo/src/user/Bug Management System/models/bug_project.py", line 427, in create

    bug = super(Bug, self.with_context(context)).create(vals)

  File "<decorator-gen-130>", line 2, in create

  File "/home/odoo/src/odoo/odoo/api.py", line 461, in _model_create_multi

    return create(self, [arg])

  File "/home/odoo/src/odoo/addons/mail/models/mail_thread.py", line 298, in create

    thread.message_track(tracked_fields, initial_values)

  File "/home/odoo/src/odoo/addons/mail/models/mail_thread.py", line 653, in message_track

    subtype_rec = self.env.ref(subtype_xmlid)  # TDE FIXME check for raise if not found

  File "/home/odoo/src/odoo/odoo/api.py", line 864, in ref

    return self['ir.model.data'].xmlid_to_object(xml_id, raise_if_not_found=raise_if_not_found)

  File "/home/odoo/src/odoo/odoo/addons/base/models/ir_model.py", line 1443, in xmlid_to_object

    t = self.xmlid_to_res_model_res_id(xmlid, raise_if_not_found)

  File "/home/odoo/src/odoo/odoo/addons/base/models/ir_model.py", line 1427, in xmlid_to_res_model_res_id

    return self.xmlid_lookup(xmlid)[1:3]

  File "<decorator-gen-25>", line 2, in xmlid_lookup

  File "/home/odoo/src/odoo/odoo/tools/cache.py", line 93, in lookup

    value = d[key] = self.method(*args, **kwargs)

  File "/home/odoo/src/odoo/odoo/addons/base/models/ir_model.py", line 1416, in xmlid_lookup

    raise ValueError('External ID not found in the system: %s' % xmlid)

ValueError: External ID not found in the system: project.mt_bug_new